Autor Tema: Proyectos en TOBA 3.1 son compatible en 3.0?  (Leído 611 veces)

0 Usuarios y 1 Visitante están viendo este tema.

rfarias

  • Jr. Member
  • **
  • Mensajes: 71
    • Ver Perfil
    • Plan de acción de sistemas
  • Institución: UNPA
  • Nombre y apellido: Roberto Farias
  • Sistema: TOBA
Proyectos en TOBA 3.1 son compatible en 3.0?
« on: Octubre 02, 2018, 02:30:53 pm »
Hola que tal? quería consultar si los proyectos que se desarrollan en la versión 3.1 se van a poder seguir trabajando en 3.0
La pregunta es porque en nuestro equipo de desarrollo se dió la situación de que en uno de los puestos de trabajo se actualizó a la 3.1 y los cambios realizados allí no pudimos levantarlos en las instancias de toba 3.0. Al parecer cambia la estructura de la base de datos de toba y no se pueden importar los metadatos.
Farias Roberto Adrián
Analista Funcional
Universidad Nacional de la Patagonia Austral

richard

  • Moderador Global
  • *****
  • Mensajes: 3024
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Ricardo Dalinger
  • Sistema: SIU-Toba
Re:Proyectos en TOBA 3.1 son compatible en 3.0?
« Respuesta #1 on: Octubre 03, 2018, 10:16:59 am »
Hola Roberto,
Hola que tal? quería consultar si los proyectos que se desarrollan en la versión 3.1 se van a poder seguir trabajando en 3.0
Esto no es posible, ya que el cambio de version introdujo nuevas columnas en la bd, que la rama 3.0 no posee.

Cita
La pregunta es porque en nuestro equipo de desarrollo se dió la situación de que en uno de los puestos de trabajo se actualizó a la 3.1 y los cambios realizados allí no pudimos levantarlos en las instancias de toba 3.0. Al parecer cambia la estructura de la base de datos de toba y no se pueden importar los metadatos.
Lo que pueden hacer en ese caso es lo siguiente, modifiquen el composer.json para que deje la rama 3.0 unicamente.
Código: [Seleccionar]
"siutoba/framework": "~3.0"
Luego eliminan el archivo composer.lock y vuelven a ejecutar composer install.
El siguiente paso es exportar el proyecto con la version instalada (3.0.30) y luego regenerar la instancia para que quede correcta.

Saludos
Twitter es al incontinente verbal,  lo que los dulces al diabetico.